Subject: bug#32722: closed (Re: bug#32722: [O] bug#32722: bug#32722: bug#32722: bug#32722: 26.1; Org-publish depend on non-free platform ?)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 May 2020 08:05:01 +0000

Your bug report

#32722: 26.1; Org-publish depend on non-free platform ?

which was filed against the emacs,org-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32722: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32722
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32722: [O] bug#32722: bug#32722: bug#32722: bug#32722: 26.1; Org-publish depend on non-free platform ?
From: Bastien <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], Kyle Meyer <[email-masked]>, [email-masked]
Date: Sun, 24 May 2020 10:03:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

AFAICT the issues raised in this thread have been solved, so I am
closing this bug report now.

Org-mode does not encourage users to use GitHub for hosting their
source code, nor does it encourage them to use non-free javascript
by browsing GitHub's page.

Some files in Org still contain references to links starting with
http://github.com but users can use M-x eww on these links and still
get the correct instructions on how to clone the Git repository.

The htmlize/htmlfontify discussion can continue in this report:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=7506

If anyone think there are things we can still fix in this area,
please reopen this bug report with suggestions on what to fix and
how to fix it.

Thanks!

-- 
 Bastien

Subject: 26.1; Org-publish depend on non-free platform ?
From: Nicolas Floquet <[email-masked]>
To: [email-masked]
Date: Wed, 12 Sep 2018 16:06:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

I don't understand why Emacs quote Github, a non-free platform, when I
want to publish my org-blog :

M-x org-publish-all
[…]
Publishing file home/nico/Documents/Travaux/.nico/www/Tutoriels/Emacs/org-mode-listes-de-taches.org using ‘org-html-publish-to-html’
org-babel-exp process emacs-lisp at position 2237...
org-babel-exp process emacs-lisp at position 2786...
org-babel-exp process emacs-lisp at position 3397...
org-babel-exp process emacs-lisp at position 3846...
org-babel-exp process org at position 4931...
org-html-fontify-code: Please install htmlize from https://github.com/hniksic/emacs-htmlize

Surely, I think I should editing my former publications to pass Emacs
25.1 to Emacs 26.1. But I also think that Emacs must not quote GitHub.

Thank you for everything done.
Et vive le Logiciel Libre ! ^^

-- 
| Numérion                  |              Nicolas Floquet |
+----------------------------------------------------------+
| Services informatiques en logiciels libres               |
| XMPP : [email-masked] | Tél : 06.32.93.03.51            |
| Ğ1 : BjZFP7UpKjJ9hbavhT2Ep2hP58noXp6xdPY4awsX17yD        |
| PGP : 94C7 641B 719E B06A F406  7AB3 3709 C700 E548 F996 | 
+----------------------------------------------------------+